2011-05-22 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.2.19; SECURITY_PATCH++ (CVE-2011-1928)
	  swapped source urls; modified short desc

2011-05-12 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.2.18; SECURITY_PATCH++ (CVE-2011-0419)

2010-10-23 Vlad Glagolev <stealth@sourcemage.org>
	* init.d/apache: added graceful reload function

2010-10-18 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.2.17

2010-08-18 Remko van der Vossen <wich@sourcemage.org>
	* CONFLICTS: check spell_ok before persistent_read
	             correct conflicts to apache1 and httpd-dev

2010-07-25 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.2.16; .gz -> .bz2; SECURITY_PATCH++

2010-04-28 Elisamuel Resto <ryuji@simplysam.us>
	* BUILD, CONFIGURE: Allow picking of MPM modules

2010-03-08 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.2.15, SECURITY_PATCH=9

2009-10-04 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.2.14; SECURITY_PATCH++

2009-09-25 Vlad Glagolev <stealth@sourcemage.org>
	* modules/mod_suexec: made mod_suexec _really_ workable

2009-09-24 Vlad Glagolev <stealth@sourcemage.org>
	* modules/mod_suexec: made mod_suexec actually workable

2009-08-09 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.2.13, SECURITY_PATCH++

2009-07-28 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.2.12; SECURITY_PATCH++

2008-12-14 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.2.11

2008-12-03 Elisamuel Resto <ryuji@sourcemage.org>
	* SUB_DEPENDS: space after message call, else SUB_DEPENDS barfs

2008-10-14 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.2.10, SECURITY_PATCH=5, CVE-2008-2939

2008-10-07 David Kowis <dkowis@shlrm.org>
	* SUB_DEPENDS, PRE_SUB_DEPENDS, REPAIR^none^PRE_SUB_DEPENDS:
	  provided UNIQ sub dependency for mod_unique_id

2008-08-20 Thomas Orgis <sobukus@sourcemage.org>
	* SUB_DEPENDS, PRE_SUB_DEPENDS, REPAIR^none^PRE_SUB_DEPENDS:
	  provide DAV sub dependency for mod_dav

2008-08-10 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Optionally depends on pcre for system-installed version
	* init.d/apache: According to http://httpd.apache.org/docs/2.2/upgrading.html,
	  startssl is no longer available and should now be configured with mod_ssl
	* init.d/apache.conf: Removed, only used for start or startssl

2008-06-14 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.2.9, SECURITY_PATCH=4, CVE-2008-2364, CVE-2007-6420

2008-05-27 Remko van der Vossen <wich@sourcemage.org>
	* CONFLICTS: conflict with xshttpd if that is compiled without prefix
	* PREPARE: 'type' "2.2.3" -> "2.2.*"

2008-01-19 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.2.8, SECURITY_PATCH=3
	  http://httpd.apache.org/security/vulnerabilities_22.html

2007-11-29 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Use upstream apache.gpg key and signatures

2007-09-09 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.2.6, SECURITY_PATCH=2
	  CVE-2007-3847, CVE-2007-1863, CVE-2007-3304, CVE-2006-5752,
	  CVE-2007-1862

2007-07-10 Robin Cook <rcook@wyrms.net>
	* PREPARE: ask to build as shared modules
	* CONFIGURE: add =shared if y to shared modules
	* BUILD: added --enable-so
	* modules: add new/renamed modules and removed removed modules
	  modules: set all extension to off by default

2007-01-13 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 2.2.4

2006-11-17 Arjan Bouter <abouter@sourcemage.org>
	* DETAILS: build everything as modules
	* INSTALL: add daemon group

2006-10-26 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* INSTALL: use TRACK_ROOT when linking #9163

2006-09-27 Arjan Bouter <abouter@sourcemage.org>
	* DETAILS: version 2.2.3
	* PRE_BUILD: removed
	* CONFIGURE: edited to allow for enable and disable options in modules/*
	* modules/*: updated to new CONFIGURE
	* config.layout: added, this file controls the installation directories...
	  configure doesn't
	* removed unnecessary patches

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* PROVIDES: [automated] Fixed invalid entries.

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: [automated] Removed BUILD_API=2.

2006-08-20 Matthew Donovan <mdonovan@sourcemage.org>
        *DETAILS: fixed SOURCE_GPG

2006-08-19 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: fixed the vendors gpg sig(no closed quotes,n to marked upstream)
	* CONFIGURE: fixed some if's and switched to using [[]]

2006-08-18 Matthew Donovan <mdonovan@sourcemage.org>
	* DETAILS: upgrade to 2.0.59. Also added the vendor's gpg signature.

2006-05-15 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 2.0.58.

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2005-10-20 Jason Flatt <jflatt@sourcemage.org>
	* PRE_BUILD: Removed unnecessary patches.

2005-10-16 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 2.0.55.

2005-10-13 Jason Flatt <jflatt@sourcemage.org>
	* BUILD: Removed invalid ./configure option.
	* CONFIGURE: Work around problem with spurious tab being adding during
	  configure process.

2005-09-23 Thomas Houssin <Thomas.Houssin@sourcemage.org>
	* 06_CAN_2005_2700.patch: added
	* PRE_BUILD: apply patch, security fix for CAN_2005_2700
 
2005-08-28 Thomas Houssin <Thomas.Houssin@sourcemage.org>
	* PRE_BUILD: added byterange.patch (security fix)
		see http://issues.apache.org/bugzilla/show_bug.cgi?id=29962

2005-07-17 Jose Bernardo <jbernardo@sourcemage.org>
	* PRE_BUILD: added patch for ssl 0.9.8 compatibility

2005-07-11 David Brown <dmlb2000@excite.com>
	* PROVIDES: added APACHE2 mainly for subversion

2005-05-31 David Brown <dmlb2000@excite.com>
	* DEPENDS: change when bash completes out INSTALL_ROOT some how it
	  breaks when you make it single quotes instead of double

2005-05-31 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Optionally depends on openssl

2005-05-15 David Brown <dmlb2000@excite.com>
	* DEPENDS: changed to depend on apr0 and apr-util0

2005-04-28 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 2.0.54.

2005-03-09 Sergey Lipnevich <sergey@sourcemage.org>
	* services: remove, no longer used.

2005-02-18 Eric Sandall <sandalle@sourcemage.org>
	* 03_all_redhat_xfsz.patch: Really updated to 2.0.53

2005-02-07 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.0.53
	* buildconf, 01_all_gentoo_ipv6.patch, 03_all_redhat_xfsz.patch,
	  04_all_ssl_makefile.patch: Updated to 2.0.53
	* 05_all_can_2004_0885.patch: Removed, included in 2.0.53
	* PRE_BUILD: Removed application of 05_all_can_2004_0885.patch

2004-12-05 Arwed v. Merkatz <v.merkatz@gmx.net>
	* FINAL: removed, we _don't_ want to fail if the configuration of httpd
	  is wrong, especially not after installation already completed

2004-11-30 Eric Sandall <sandalle@sourcemage.org>
	* build.diff: Renamed to buildconf.patch and updated to 2.0.52.
	* PRE_BUILD: build.diff renamed to buildconf.patch.
	* 03_all_redhat_xfsz.patch,04_all_ssl_makefile.patch,
	  05_all_can_2004_0885.patch: Updated to 2.0.52.

2004-11-19 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated UPDATED for security update
	* apache-patches-2.0.52-r1.tar.bz2: Removed, broken into separate patches
	* 01_all_gentoo_ipv6.patch,03_all_redhat_xfsz.patch,
	  04_all_ssl_makefile.patch,05_all_can_2004_0885.patch:
	  Added from apache-patches-2.0.52-r1.tar.bz2 (the other patches broke
	  apache2)
	* PRE_BUILD: Apply all patches here
	* BUILD: Remove application of build.diff patch
	  Formatted to Guru Handbook

2004-11-19 Seth Woolley <seth@tautology.org>
	* Updated DoS SECURITY FIX with gentoo patch
	* apache-patches-2.0.52-r1.tar.bz2: Added
	* BUILD: Apply apache-patches-2.0.52-r1.tar.bz2

2004-09-28 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.0.52
	  SECURITY FIX http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0811

2004-09-16 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.0.51
	  SECURITY FIX http://www.apache.org/dist/httpd/Announcement2.html
	* POST_INSTALL,FINAL: POST_INSTALL renamed to FINAL (for build_api 2)

2004-08-26 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, INSTALL: converted to BUILD_API 2, install man pages to
	  /usr/share/man, use $INSTALL_ROOT

2004-06-30 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.0.50
	  SECURITY FIX http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0493

2004-05-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: use $APACHE_URL for primary download
	  fixes bug # 6243

2004-03-19 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 2.0.49, fix SOURCE_URL.

2004-03-14 Sergey Lipnevich <sergey@sourcemage.org>
	* DEPENDS: remove instructions for auth-dbm and ldap modules because
	  they're provided by CONFIGURE's general routine;
	  add INSTALL_ROOT to DEPENDS's instructions.

2004-03-11 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PROVIDES: added provides APACHE, so WEBSERVER can be used more
	  generally for other web servers too

2003-11-04 Sergey Lipnevich <sergey@sourcemage.org>
	* CONFIGURE: eliminate the exit instruction.

2003-11-02 Eric Sandall <sandalle@sourcemage.org>
	* PROVIDES: Upper-case provides
	* HISTORY: Formatted to Guru Handbook

2003-10-27 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: Upgrade to 2.0.48.

2003-08-22 hgg <hgreig@bigpond.net.au>
	* UPDATED: Update UPDATED purely for test grimoire integration.

2003-07-30 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: removed the mkdir /var/run/http from (not used)
	* added apache.conf file to configure if the server should
	  start in ssl mode or not

2003-07-29 Arwed v. Merkatz <v.merkatz@gmx.net>
	* init.d/*: updated to new init system

2003-07-26 Gareth Clay <g.clay@fireflyuk.net>
	* Added missing modules:
	  mod_case_filter
	  mod_case_filter_in

2003-07-22 Gareth Clay <g.clay@fireflyuk.net>
	* CONFIGURE: Made a dialog-based frontend to the module configuration.

2003-07-19 Sergey Lipnevich <sergey@sourcemage.org>
	* CONFLICTS: No more conflict with itself due to AP{R,U} include files fix.

2003-07-17 Sergey Lipnevich <sergey@sourcemage.org>
	* BUILD: Added a patch and more instructions to BUILD
	  to use external AP{R,U}.
	* CONFLICTS: Added a conflict with itself to remove include
	  files prior to building.

2003-07-09 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: Upgrade to 2.0.47.

2003-07-09 Eric Sandall <sandalle@sourcemage.org>
	* Now if you say no to 'proxy', no other proxy questions are asked
	  Now you can say 'y' to top-side functions and 'n' to their
	  embedded functions

2003-07-05 Sergey Lipnevich <sergey@sourcemage.org>
	* Now removes explicit cgi and info modules in favor of CONFIGURE options.

2003-06-14 Sergey Lipnevich <sergey@sourcemage.org>
	* DEPENDS: Now Apache 2 depends on APR and APU (apr-util), and
	  init scripts are improved.
	* Incorporate portions of a patch by Robert Helgesson.
	  Some formatting changes to the spell were also made.
	  Spell will check Apache configuration before stopping
	  and re/starting it.

2003-06-13 Sergey Lipnevich <sergey@sourcemage.org>
	* Remove erroneous LDAP-disablement instructions for `configure'.
	  Because LDAP is not a default module, this would produce correct results
	  in all cases.

2003-05-28 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: Upgraded to 2.0.46.

2003-05-01 Rob Verkuylen <rob@verkuylen.net>
	* init.d/*: Copied /init.d/apache.sh to /init.d/apache
	  Step 1/3 in bug#: 3115

2003-04-05 Sergey Lipnevich <sergey@sourcemage.org>
	* DEPENdS: Fix OpenLDAP dependency parameters, OpenSSL parameters,
	  and removed unnecessary PHP dependency.
	  All taken from httpd-dev.

2003-04-02 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: Upgrade to 2.0.45.

2003-03-12 Sergey Lipnevich <sergey@sourcemage.org>
	* TRIGGERS: Add a trigger for openssl dependency.

2003-02-25 Eric Schabell <eschabell@sourcemage.org>
	* cleaned out unneeded installscript call.

2003-02-24 Eric Schabell <eschabell@sourcemage.org>
	* BUILD: updated to work with librunlevel for .sh

2003-02-17 Sergey Lipnevich <sergey@sourcemage.org>
	* Minor cleanup.

2003-01-18 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: Upgrade to 2.0.44.

2003-01-08 Sergey Lipnevich <sergey@sourcemage.org>
	* Improved init script.
	  Init script is only copied if none is present.
	  Process ID directory is /var/run/httpd.

2002-10-05 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Created so apache2 can use it's dependencies (such as OpenSSL)
	* CONFIGURE: Created to allow for a more configurable Apache server (which is part of the point of SMGL. :))
	* BUILD: Modified to use $OPTS so that DEPENDS and CONFIGURE work

2002-09-01 Sergey Lipnevich <sergey@sourcemage.org>
	* BUILD: Updated to have --localstatedir=/var, fixing bug 701.

2002-08-12 Eric Schabell <eric@schabell.com>
	* DETAILS: Version bump to .40, security fixes etc...

2002-07-06 Eric Schabell <eric@schabell.com>
	* BUILD: Removed --disable-auth from build file, thanks Anders.

2002-06-19 Eric Schabell <eric@schabell.com>
	* DETAILS: Security fix version upgrade, also changed UPDATE
	  field as this should be applied to your box.

2002-05-09 Justin Rocha <jrocha@sourcemage.org>
	* DETAILS: Bumped version to 2.0.36

2002-04-22 Eric Schabell <eric@schabell.com>
	* Created spell for version 2.0.35.
